#pragma once
#include "Mod.h"

class Insults : public Mod {
public:
	int killsound = 0;
	Insults() : Mod(_("Insults"), _("It agitates the player."), Category::OTHER) {
		settings.push_back(new Setting{ _("Kill Sound"), &killsound, new int(2), new int(0), 1, {_("Off"), _("Firework"), _("Ding")}, true});

		enabled = false;
	}

private:
	virtual auto onKilledPlayer(Actor& actor) -> void;
};
